Bug 239987 - net/opentracker: opentracker package only supports IPv6
Summary: net/opentracker: opentracker package only supports IPv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-20 09:25 UTC by papadavecn
Modified: 2019-12-09 19:09 UTC (History)
1 user (show)

See Also:
crees: maintainer-feedback+
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description papadavecn 2019-08-20 09:25:47 UTC
The opentracker in freebsd repo is a IPV6 only version .I installed it from the repo and it did not work for IPv4. So I checked the README_V6.md in latest ports

[papadave@freebsd /usr/ports/net/opentracker/work/opentracker-0.2017.08.13]$ cat README_v6 
IPv6 is implemented in opentracker now. You can chose whether your tracker runs in v4 or v6 mode in Makefile. YMMV.

It can only support IPv4 OR IPv6. So I think in repo one should be changed to support V4 by default.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-20 09:31:22 UTC
If the software can only run in one and only one mode (not dual stack) based on on how its built (ie; cannot be changed in configuration or at runtime), then we should probably consider two separate packages, one for each IP version
Comment 2 Chris Rees freebsd_committer 2019-08-20 16:16:28 UTC
Hey,

Yeah, ipv4 is probably a better choice.

I'll convert to flavours as soon as I can, and then we'll have both.
Comment 3 Chris Rees freebsd_committer 2019-09-09 20:23:50 UTC
I've removed the OPTION for now and we only have flavours.

Awaiting review by portmgr:

https://reviews.freebsd.org/D21578
Comment 4 Chris Rees freebsd_committer 2019-12-08 21:34:10 UTC
Please review?

Thanks!
Comment 5 Chris Rees freebsd_committer 2019-12-09 19:05:52 UTC
Review from Mat suggests an alternative approach- thank you very much.
Comment 6 Chris Rees freebsd_committer 2019-12-09 19:07:30 UTC
Fixed.  Thanks!
Comment 7 commit-hook freebsd_committer 2019-12-09 19:07:53 UTC
A commit references this bug:

Author: crees
Date: Mon Dec  9 19:07:43 UTC 2019
New revision: 519628
URL: https://svnweb.freebsd.org/changeset/ports/519628

Log:
  Build ipv6 and ipv4 versions together and package both.

  Based on a suggestion by mat to have the flavours not conflict.

  PR:		ports/239987
  Reported by:	papadavecn@gmail.com

Changes:
  head/net/opentracker/Makefile
  head/net/opentracker/files/opentracker-ipv6.in
  head/net/opentracker/files/opentracker.in
  head/net/opentracker/pkg-message
  head/net/opentracker/pkg-plist